Bug 752080 (CVE-2011-3639)

Summary: CVE-2011-3639 httpd: http 0.9 request bypass of the reverse proxy vulnerability CVE-2011-3368 fix
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jkaluza, jorton, pahan, pcheung, prc, vdanen, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20111026,reported=20111026,source=oss-security,cvss2=2.6/AV:N/AC:H/Au:N/C:N/I:P/A:N,rhel-4/httpd=wontfix,rhel-5/httpd=affected,rhel-6/httpd=affected,jbews-1/httpd=notaffected,fedora-all/httpd=notaffected,certificate_system_7.3/httpd=notaffected,directory_server_8/httpd=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-22 03:57:27 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 746695, 746696, 746697, 787596, 787597, 787598, 787599    
Bug Blocks: 736705    

Description Tomas Hoger 2011-11-08 08:56:47 EST
SUSE reported that upstream patch for CVE-2011-3368 (bug #740045), when applied to httpd versions before 2.2.18, does not completely address the issue, when attacker sends HTTP 0.9 requests::

https://bugzilla.novell.com/show_bug.cgi?id=722545#c15
http://thread.gmane.org/gmane.comp.apache.devel/45978
http://thread.gmane.org/gmane.comp.security.oss.general/6102

The fix has been created upstream and committed to trunk:

http://thread.gmane.org/gmane.comp.apache.devel/45978/focus=45979
http://svn.apache.org/viewvc?view=revision&revision=1188745

Upstream also confirmed this additional fix is not required for httpd versions 2.2.18 and later:

http://thread.gmane.org/gmane.comp.apache.devel/45978/focus=45983
http://thread.gmane.org/gmane.comp.apache.devel/45978/focus=45985
Comment 2 Vincent Danen 2011-11-15 17:03:12 EST
This was assigned the name CVE-2011-3639:

http://www.openwall.com/lists/oss-security/2011/11/15/12
Comment 4 Tomas Hoger 2012-02-03 11:18:44 EST
This problem affects httpd packages in Red Hat Enterprise Linux 4, 5 and 6 that were released to address CVE-2011-3368:
  https://www.redhat.com/security/data/cve/CVE-2011-3368.html
Comment 6 errata-xmlrpc 2012-02-13 15:34:18 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0128 https://rhn.redhat.com/errata/RHSA-2012-0128.html
Comment 7 errata-xmlrpc 2012-02-21 16:58:10 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0323 https://rhn.redhat.com/errata/RHSA-2012-0323.html